Loading...
Searching...
No Matches
juce::dsp::WaveShaper< FloatType, Function > Struct Template Reference

## Detailed Description

template<typename FloatType, typename Function = FloatType (*) (FloatType)>
struct juce::dsp::WaveShaper< FloatType, Function >

Applies waveshaping to audio samples as single samples or AudioBlocks.

The documentation for this struct was generated from the following file:

- juce_dsp/widgets/juce_WaveShaper.h

## Public Member Functions

void | prepare (const ProcessSpec &) noexcept
| Called before processing starts.
template<typename SampleType>
SampleType JUCE_VECTOR_CALLTYPE | processSample (SampleType inputSample) const noexcept
| Returns the result of processing a single sample.
template<typename ProcessContext>
void | process (const ProcessContext &context) const noexcept
| Processes the input and output buffers supplied in the processing context.
void | reset () noexcept

## Public Attributes

Function | functionToUse

## Member Functions

## prepare()

template<typename FloatType, typename Function = FloatType (*) (FloatType)>

void juce::dsp::WaveShaper< FloatType, Function >::prepare | ( | const ProcessSpec & |  | ) |

inline noexcept

Called before processing starts.

## processSample()

template<typename FloatType, typename Function = FloatType (*) (FloatType)>
template<typename SampleType>

SampleType JUCE_VECTOR_CALLTYPE juce::dsp::WaveShaper< FloatType, Function >::processSample | ( | SampleType | inputSample | ) | const

inline noexcept

Returns the result of processing a single sample.

References functionToUse, and JUCE_VECTOR_CALLTYPE.

## process()

template<typename FloatType, typename Function = FloatType (*) (FloatType)>
template<typename ProcessContext>

void juce::dsp::WaveShaper< FloatType, Function >::process | ( | const ProcessContext & | context | ) | const

inline noexcept

Processes the input and output buffers supplied in the processing context.

References functionToUse, and juce::dsp::AudioBlock< SampleType >::process().

## reset()

template<typename FloatType, typename Function = FloatType (*) (FloatType)>

void juce::dsp::WaveShaper< FloatType, Function >::reset | ( |  | ) |

inline noexcept

## Member Data Documentation

## functionToUse

template<typename FloatType, typename Function = FloatType (*) (FloatType)>

Function juce::dsp::WaveShaper< FloatType, Function >::functionToUse

Referenced by process(), and processSample().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited